pydo.registries.get_garbage_collection()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.registries.get_garbage_collection(registry_name="example")
Returns JSONRaises HttpResponseError

Description

To get information about the currently-active garbage collection for a registry, send a GET request to /v2/registry/{registry_name}/garbage-collection.

Parameters

registry_name string required

The name of a container registry.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.registries.get_garbage_collection(registry_name="example")

Response Example

Show Response Example
{
  "garbage_collection": {
    "uuid": "eff0feee-49c7-4e8f-ba5c-a320c109c8a8",
    "registry_name": "example",
    "status": "requested",
    "created_at": "2020-10-30T21:03:24Z",
    "updated_at": "2020-10-30T21:03:44Z",
    "blobs_deleted": 42,
    "freed_bytes": 667
  }
}

More Information

See /v2/registries/{registry_name}/garbage-collection in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.